/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "content.h"
#include "../core/request.h"
#include "../core/error.h"




void Content::FunCat()
{
	if( !request.is_item )
	{
		log << log1 << "Content: Cat function requires an item" << logend;
		request.status = Error::no_item;
		return;
	}

	
	if( !request.HasReadAccess(request.item) )
	{
		request.status = Error::permission_denied;
		return;
	}
}


